Bug 121887 - Laptop display resume problems
Laptop display resume problems
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks: 121020
  Show dependency treegraph
 
Reported: 2004-04-28 17:18 EDT by Genadi Enchev
Modified: 2015-01-04 17:05 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:47:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Genadi Enchev 2004-04-28 17:18:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040422

Description of problem:
When I close the lid of my laptop, the display just turns off. After I
reopen it and try to use my computer, the display remains off and
there is no way I can resume it unless I reboot the computer. I tried
looking for a way to change this, but unfortunately I couldn't. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Boot system into graphical mode
2.Close the lid of the laptop & wait a few seconds
3.Open the lid

Actual Results:  The display remains turned off and there's no way to
resume it. 

Expected Results:  The display should turn back on so you can normally
resume your activity. 

Additional info:

My display is Dell 1600x1200 lcd, the video card is Ati Mobility
Radeon 9000 (M9).
Comment 1 Warren Togami 2004-04-28 17:40:09 EDT
This could possibly be a kernel or xorg-x11 issue.
Comment 2 Warren Togami 2004-05-11 03:10:05 EDT
Please retest with kernel-2.6.5-1.358 or newer.  If it fails, please
retest with the same version but i586 kernel.  Report both test
results here.
Comment 3 Genadi Enchev 2004-05-11 10:31:26 EDT
I tested with kernel-2.6.5.1.358.i686 this morning, but unfortunately 
I still get the same result. I will try the i586 version in the 
afternoon and I will post the results immediately.
Comment 4 Genadi Enchev 2004-05-18 20:33:05 EDT
I still have the same problem, even after I upgraded to Fedora Core 2
final. The only thing I could do is to edit grub.conf with the options
acpi=off and apm=off. The display resumes properly now, but I don't
want to lose all ACPI settings. 
Comment 5 Kelly Campbell 2004-05-22 09:38:09 EDT
I am experiencing the same problem.

Dell Latitude C610
1400x1050 LCD
nVidia GeForce 2 Go
Fedora Core 2 
kernel-2.6.5-1.358

I've tried using the nvidia driver instead of nv but X doesn't even
start up with it.
Comment 6 Dave Jones 2004-12-07 00:53:58 EST
any improvement with teh 2.6.9 update kernel ?
Comment 7 Dave Jones 2005-04-16 00:47:06 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.